Bug 235575 - lang/php72: Update to 7.2.15
Summary: lang/php72: Update to 7.2.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Torsten Zuehlsdorff
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-07 13:28 UTC by Pascal Christen
Modified: 2019-02-08 11:29 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (tz)


Attachments
Update to 7.2.15 (642 bytes, patch)
2019-02-07 13:28 UTC, Pascal Christen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pascal Christen 2019-02-07 13:28:54 UTC
Created attachment 201814 [details]
Update to 7.2.15

07 Feb 2019

    Core:
        Fixed bug #77339 (__callStatic may get incorrect arguments).
        Fixed bug #77494 (Disabling class causes segfault on member access).
        Fixed bug #77530 (PHP crashes when parsing `(2)::class`).
    Curl:
        Fixed bug #76675 (Segfault with H2 server push).
    GD:
        Fixed bug #73281 (imagescale(…, IMG_BILINEAR_FIXED) can cause black border).
        Fixed bug #73614 (gdImageFilledArc() doesn't properly draw pies).
        Fixed bug #77272 (imagescale() may return image resource on failure).
        Fixed bug #77391 (1bpp BMPs may fail to be loaded).
        Fixed bug #77479 (imagewbmp() segfaults with very large images).
    ldap:
        Fixed bug #77440 (ldap_bind using ldaps or ldap_start_tls()=exception in libcrypto-1_1-x64.dll).
    Mbstring:
        Fixed bug #77454 (mb_scrub() silently truncates after a null byte).
    MySQLnd:
        Fixed bug #75684 (In mysqlnd_ext_plugin.h the plugin methods family has no external visibility).
    Opcache:
        Fixed bug #77361 (configure fails on 64-bit AIX when opcache enabled).
    OpenSSL:
        Fixed bug #77390 (feof might hang on TLS streams in case of fragmented TLS records).
    PDO:
        Fixed bug #77273 (array_walk_recursive corrupts value types leading to PDO failure).
    Sockets:
        Fixed bug #76839 (socket_recvfrom may return an invalid 'from' address on MacOS).
    Standard:
        Fixed bug #77395 (segfault about array_multisort).
        Fixed bug #77439 (parse_str segfaults when inserting item into existing array).
Comment 1 commit-hook freebsd_committer 2019-02-08 10:55:54 UTC
A commit references this bug:

Author: tz
Date: Fri Feb  8 10:55:43 UTC 2019
New revision: 492424
URL: https://svnweb.freebsd.org/changeset/ports/492424

Log:
  lang/php72: Upgrade from 7.2.14 to 7.2.15

  Changelog:

      Core:
          Fixed bug #77339 (__callStatic may get incorrect arguments).
          Fixed bug #77494 (Disabling class causes segfault on member access).
          Fixed bug #77530 (PHP crashes when parsing `(2)::class`).
      Curl:
          Fixed bug #76675 (Segfault with H2 server push).
      GD:
          Fixed bug #73281 (imagescale(?, IMG_BILINEAR_FIXED) can cause black border).
          Fixed bug #73614 (gdImageFilledArc() doesn't properly draw pies).
          Fixed bug #77272 (imagescale() may return image resource on failure).
          Fixed bug #77391 (1bpp BMPs may fail to be loaded).
          Fixed bug #77479 (imagewbmp() segfaults with very large images).
      ldap:
          Fixed bug #77440 (ldap_bind using ldaps or ldap_start_tls()=exception in libcrypto-1_1-x64.dll).
      Mbstring:
          Fixed bug #77454 (mb_scrub() silently truncates after a null byte).
      MySQLnd:
          Fixed bug #75684 (In mysqlnd_ext_plugin.h the plugin methods family has no external visibility).
      Opcache:
          Fixed bug #77361 (configure fails on 64-bit AIX when opcache enabled).
      OpenSSL:
          Fixed bug #77390 (feof might hang on TLS streams in case of fragmented TLS records).
      PDO:
          Fixed bug #77273 (array_walk_recursive corrupts value types leading to PDO failure).
      Sockets:
          Fixed bug #76839 (socket_recvfrom may return an invalid 'from' address on MacOS).
      Standard:
          Fixed bug #77395 (segfault about array_multisort).
          Fixed bug #77439 (parse_str segfaults when inserting item into existing array).

  Changelog taken from: http://www.php.net/ChangeLog-7.php#7.2.15

  PR:		235575 235577
  MFH:		2019Q1

Changes:
  head/devel/php72-readline/files/patch-config.m4
  head/lang/php72/Makefile
  head/lang/php72/distinfo
Comment 2 Torsten Zuehlsdorff freebsd_committer 2019-02-08 11:00:00 UTC
Hello Pascal,

i just noted right before committing your PRs. So i referenced them. But i did not use your patches because of this timely overlap, sorry!

Just a note to this patch: the PORTREVISION should not be removed from the Makefile. Rather it is set to 0. Also all extensions need to be checked for PORTREVISIONS, but there all must be removed. Its a little confusing. 

Thnaks for your time and help!
Torsten
Comment 3 Pascal Christen 2019-02-08 11:05:31 UTC
(In reply to Torsten Zuehlsdorff from comment #2)

Hi Torsten

Ok, I'll do this next time :)
Comment 4 commit-hook freebsd_committer 2019-02-08 11:29:32 UTC
A commit references this bug:

Author: tz
Date: Fri Feb  8 11:29:02 UTC 2019
New revision: 492427
URL: https://svnweb.freebsd.org/changeset/ports/492427

Log:
  MFH: r492424

  lang/php72: Upgrade from 7.2.14 to 7.2.15

  Changelog:

      Core:
          Fixed bug #77339 (__callStatic may get incorrect arguments).
          Fixed bug #77494 (Disabling class causes segfault on member access).
          Fixed bug #77530 (PHP crashes when parsing `(2)::class`).
      Curl:
          Fixed bug #76675 (Segfault with H2 server push).
      GD:
          Fixed bug #73281 (imagescale(?, IMG_BILINEAR_FIXED) can cause black border).
          Fixed bug #73614 (gdImageFilledArc() doesn't properly draw pies).
          Fixed bug #77272 (imagescale() may return image resource on failure).
          Fixed bug #77391 (1bpp BMPs may fail to be loaded).
          Fixed bug #77479 (imagewbmp() segfaults with very large images).
      ldap:
          Fixed bug #77440 (ldap_bind using ldaps or ldap_start_tls()=exception in libcrypto-1_1-x64.dll).
      Mbstring:
          Fixed bug #77454 (mb_scrub() silently truncates after a null byte).
      MySQLnd:
          Fixed bug #75684 (In mysqlnd_ext_plugin.h the plugin methods family has no external visibility).
      Opcache:
          Fixed bug #77361 (configure fails on 64-bit AIX when opcache enabled).
      OpenSSL:
          Fixed bug #77390 (feof might hang on TLS streams in case of fragmented TLS records).
      PDO:
          Fixed bug #77273 (array_walk_recursive corrupts value types leading to PDO failure).
      Sockets:
          Fixed bug #76839 (socket_recvfrom may return an invalid 'from' address on MacOS).
      Standard:
          Fixed bug #77395 (segfault about array_multisort).
          Fixed bug #77439 (parse_str segfaults when inserting item into existing array).

  Changelog taken from: http://www.php.net/ChangeLog-7.php#7.2.15

  PR:		235575 235577

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2019Q1/
  branches/2019Q1/devel/php72-readline/files/patch-config.m4
  branches/2019Q1/lang/php72/Makefile
  branches/2019Q1/lang/php72/distinfo